/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ReservacionClase;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderConfiguracionReservacionClase implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ReservacionClase reservacion = (ReservacionClase) o;

        Listcell lc = new Listcell(reservacion.getClaseServicio().getDescclase());
        lc.setParent(lstm);


        lstm.setAttribute("data", reservacion);
    }
}
